Bug 143537 - mysql fails BDB tests on s390x
Summary: mysql fails BDB tests on s390x
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql   
(Show other bugs)
Version: rawhide
Hardware: s390x Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-21 23:35 UTC by Tom Lane
Modified: 2013-07-03 03:03 UTC (History)
1 user (show)

Fixed In Version: RHBA-2005-471
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-09 11:42:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:471 normal SHIPPED_LIVE mysql bug fix update 2005-06-09 04:00:00 UTC

Description Tom Lane 2004-12-21 23:35:58 UTC
Description of problem: bdb test fails on s390x


Version-Release number of selected component (if applicable):
mysql-4.1.7-7

How reproducible:
100%

Steps to Reproduce:
1. build RPM with "make test" enabled
2.
3.
  
Actual results:


Expected results:


Additional info:
The test results show bogus values for the "rows" column of EXPLAIN
output.  The values are a factor of 2^32 more than they should be,
which looks a whole lot like a 32-vs-64-bit programming error, but
there is no sign of similar problems on our other 64-bit arches.

Perhaps it is a compiler bug?

Comment 1 Tom Lane 2005-04-03 05:32:27 UTC
Even more interesting: on RHEL3, mysql-3.23.58 also fails self-test on s390x and no other 
architecture.  But it's a different failure.  Maybe there is some kind of generic s390x issue in mysql?

Comment 2 Tom Lane 2005-04-07 23:38:29 UTC
Ah-hah, it's a bogus assumption that atomic_add can be used on 8-byte
quantities.  Fixed in our 4.1.11 release, and reported upstream as
http://bugs.mysql.com/9737

The observed failure is relatively cosmetic: wrong row count estimates output by
EXPLAIN.  I am not sure if a wrong rows value could lead to any more-serious
problems... but we will need to back-patch 4.1.11 into RHEL4 anyway, so we might
as well include this too.

Comment 3 Tom Lane 2005-04-08 23:44:17 UTC
Further thought: maybe the RHEL3 issue is also from trying to use atomic_add on
the wrong data width, even though it's not BDB specifically?  Should try
backporting the no-atomic patch.

Comment 4 Tom Lane 2005-05-13 16:20:27 UTC
Back-patched into RHEL4 for QU1 ... still need to investigate whether a similar
change would improve matters for RHEL3.

Comment 5 Tim Powers 2005-06-09 11:42:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-471.html



Note You need to log in before you can comment on or make changes to this bug.